Package org.opengis.cite.iso19142

# Enum Class TestRunArg

java.lang.Object
java.lang.Enum<TestRunArg>
org.opengis.cite.iso19142.TestRunArg

All Implemented Interfaces:
  `Serializable`, `Comparable<TestRunArg>`, `Constable`

public enum TestRunArg extends Enum<TestRunArg>
An enumerated type defining all recognized test run arguments.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FID`
  A string that identifies an available feature instance.
  `ICS`
  An implementation conformance statement: a comma-separated list indicating which conformance classes are supported.
  `IUT`
  An absolute URI that refers to a representation of the test subject or metadata about it.
  `WFS`
  An absolute URI referring to metadata about the WFS implementation under test.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static TestRunArg`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TestRunArg[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FID

    public static final TestRunArg FID
    A string that identifies an available feature instance.

  - ### IUT

    public static final TestRunArg IUT
    An absolute URI that refers to a representation of the test subject or metadata about it.

  - ### WFS

    public static final TestRunArg WFS
    An absolute URI referring to metadata about the WFS implementation under test. This is expected to be a WFS capabilities document where the document element is `http://www.opengis.net/wfs/2.0` WFS_Capabilities}.

  - ### ICS

    public static final TestRunArg ICS
    An implementation conformance statement: a comma-separated list indicating which conformance classes are supported.

- ## Method Details

  - ### values

    public static TestRunArg[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TestRunArg valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<TestRunArg>`